using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TravelCompanyContracts.BindingModels.TouristBindingModels;
using TravelCompanyContracts.SearchModels.TouristSearchModels;
using TravelCompanyContracts.ViewModels.TouristViewModels;

namespace TravelCompanyContracts.BusinessLogicsContracts.TouristBusinessLogicsContracts
{
    public interface ITouristLogic
    {
        List<TouristViewModel>? ReadList(TouristSearchModel? model);
        TouristViewModel? ReadElement(TouristSearchModel model);
        bool Create(TouristBindingModel model);
        bool Update(TouristBindingModel model);
    }
}
